Table of Contents

## Name

XGetExtensionVersion - query the version of the input extension.

## Syntax

XExtensionVersion *XGetExtensionVersion(display, name)
Display *display;
char *name;

## Arguments

display
  Specifies the connection to the X server.
name
  Specifies the extension to be queried. The input extension name is defined in the header file XI.h.

## Description

The XGetExtensionVersion request queries the version of the input extension, and returns an XExtensionVersion structure. This structure contains a major_version and minor_version number which can be compared with constants defined in XI.h. Support for additional protocol requests added to the input extension after its initial release is indicated by a version number corresponding to the added requests. Each version contains all the protocol requests contained by previous versions.

You should use XFree to free the XExtensionVersion structure.

## Structures

This request returns an XExtensionVersion structure. typedef struct { int `` `` present;
short`` `` major_version;
short`` `` minor_version;
} XExtensionVersion;

## Diagnostics

none

## See Also

Programming With Xlib

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Structures
- Diagnostics
- See Also